# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version:        8.3.6
Release:        7%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.3.6
Patch0001: 0001-Make-sure-rhel-plugin-push.service-is-stopped-after-.patch
Patch0002: 0002-Revert-Revert-SSL-support-for-haproxy-novnc-proxy-co.patch
Patch0003: 0003-Prevent-triggering-firewall-actions-while-configurin.patch
Patch0004: 0004-adding-deployment_type-fact-in-support.patch
Patch0005: 0005-Disable-chrony-wait.patch
Patch0006: 0006-DOWNSTREAM-ONLY-Fix-postrotate-to-notify-holders-of-.patch
Patch0007: 0007-Enable-TLS-in-the-internal-network-for-Octavia-API.patch
Patch0008: 0008-Revert-DOWNSTREAM-ONLY-Fix-postrotate-to-notify-hold.patch
Patch0009: 0009-DOWNSTREAM-ONLY-Copytruncate-containerized-logrotate.patch
Patch0010: 0010-Make-sure-that-ceph-nfs-and-the-VIP-start-in-the-rig.patch
Patch0011: 0011-Fix-ceph-nfs-duplicate-property.patch
Patch0012: 0012-Add-support-for-ODL-OVS-IPv6-deployment.patch
Patch0013: 0013-Pass-variable-from-puppet-tripleo-to-puppet-neutron.patch
Patch0014: 0014-Include-cinder-nova-in-cinder-s-configuration.patch
Patch0015: 0015-Include-octavia-controller.patch
Patch0016: 0016-Dell-EMC-SC-Add-use_multipath_for_image_xfer.patch

BuildArch:      noarch

Requires:       puppet-aodh
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican
Requires:       puppet-cassandra
Requires:       puppet-ceilometer
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate
Requires:       puppet-ec2api
Requires:       puppet-elasticsearch
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-fluentd
Requires:       puppet-git
Requires:       puppet-glance
Requires:       puppet-gnocchi
Requires:       puppet-haproxy
Requires:       puppet-heat
Requires:       puppet-horizon
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron
Requires:       puppet-nova
Requires:       puppet-nssdb
Requires:       puppet-ntp
Requires:       puppet-octavia
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras
Requires:       puppet-openstacklib
Requires:       puppet-ovn
Requires:       puppet-oslo
Requires:       puppet-pacemaker
Requires:       puppet-panko
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-sahara
Requires:       puppet-sensu
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove
Requires:       puppet-uchiwa
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch
Requires:       puppet-xinetd
Requires:       puppet-zaqar
Requires:       puppet-zookeeper
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-qdr
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Tue Dec 11 2018 Alan Bishop <abishop@redhat.com> 8.3.6-7
- Dell EMC SC: Add use_multipath_for_image_xfer (rhbz#1644017)

* Thu Dec 06 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.3.6-6
- Include octavia::controller (rhbz#1653454)

* Mon Dec 03 2018 Alan Bishop <abishop@redhat.com> 8.3.6-5
- Include ::cinder::nova in cinder's configuration (rhbz#1641825)

* Thu Nov 29 2018 Janki Chhatbar <jchhatba@redhat.com> 8.3.6-4
- Pass variable from puppet-tripleo to puppet-neutron (rhbz#1636897)

* Wed Nov 28 2018 Janki Chhatbar <jchhatba@redhat.com> 8.3.6-3
- Add support for ODL-OVS IPv6 deployment (rhbz#1636897)

* Wed Oct 17 2018 Tom Barron <tpb@dyncloud.net> 8.3.6-2
- Fix ceph-nfs duplicate property (rhbz#1637965)
- Make sure that ceph-nfs and the VIP start in the right order (rhbz#1637965)

* Mon Oct 15 2018 Jon Schlueter <jschluet@redhat.com> 8.3.6-1
- Update to 8.3.6 (rhbz#1639299)
- Use exec for CA CRL instead of file resource (rhbz#1620180)

* Mon Oct 15 2018 Michele Baldessari <michele@acksyn.org> 8.3.4-14
- Make sure rhel-plugin-push.service is stopped after pacemaker stops (rhbz#1628705)

* Wed Oct 10 2018 David Peacock <dpeacock@redhat.com> 8.3.4-13
- adding deployment_type fact in support (rhbz#1635334)

* Thu Oct 04 2018 Alex Schultz <aschultz@redhat.com> 8.3.4-12
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1585516)
- Revert "[DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs" (rhbz#1585516)

* Tue Oct 02 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-11
- Revert "Revert "SSL support for haproxy -> novnc proxy connection"" (rhbz#1613161)

* Tue Oct 02 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.3.4-10
- Enable TLS in the internal network for Octavia API (rhbz#1613576)
- [DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs (rhbz#1585516)

* Mon Sep 10 2018 Cédric Jeanneret <cjeanner@redhat.com> 8.3.4-9
- Fix docker debug/mirrors JSON augeas changes (rhbz#1626940)

* Wed Aug 29 2018 Michele Baldessari <michele@acksyn.org> 8.3.4-8
- Force cinder properties to be set on ly on nodes with pcmk on it (rhbz#1600449)

* Fri Aug 17 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-7
- Revert "SSL support for haproxy -> novnc proxy connection" (rhbz#1613161)

* Mon Aug 13 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-6
- SSL support for haproxy -> novnc proxy connection (rhbz#1613161)

* Tue Aug 07 2018 Tim Rozet <trozet@redhat.com> 8.3.4-5
- Remove table 17 from OVS OF pipeline sync (rhbz#1613115)

* Wed Aug 01 2018 Alan Bishop <abishop@redhat.com> 8.3.4-4
- [Ocata,Pike,Queens-Only] Fix Cinder's Netapp backend (rhbz#1601497)

* Mon Jul 23 2018 Tim Rozet <trozet@redhat.com> 8.3.4-3
- Updates OpenDaylight HA Proxy backend check (rhbz#1488907)

* Wed Jul 18 2018 Jon Schlueter <jschluet@redhat.com> 8.3.4-2
- Avoid hard-coded settings in Manila HA containers (rhbz#1597379)
- Make sure remotes are fully up before proceeding
- Allow configuration of NFS backend for Nova (rhbz#1598396)
- Make sure we apply qemu config changes
- Run cinder's db sync only on bootstrap node (rhbz#1599409)
- Add mechanism for cookie-based sessions in endpoints.
- Update to 8.3.4
- Remove share_backend_name from Dell-EMC manila backends (rhbz#1574787)
- Make sure we apply qemu config changes  (rhbz#1597541)

* Fri Jun 15 2018 Michele Baldessari <michele@acksyn.org> 8.3.2-8
- Fix logrotate_crond issues (rhbz#1584946)

* Thu Jun 07 2018 Tim Rozet <trozet@redhat.com> 8.3.2-7
- Adds check and resyncs ODL/OVS OF pipeline (rhbz#1568989)

* Mon May 14 2018 Brent Eagles <beagles@redhat.com> 8.3.2-6
- Adding wrapper scripts for neutron agent subprocesses (rhbz#1527130)

* Tue May 01 2018 Tim Rozet <trozet@redhat.com> 8.3.2-5
- Fixes HA Proxy backend check for ODL (rhbz#1572807)

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.3.2-4
- drop puppet-tempest Req as it's not used

* Wed Apr 25 2018 Bob Fournier <bfournie@redhat.com> 8.3.2-3
- Firewall: NOT persist ephemetal ironic-inspector rules (rhbz#1570386)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.3.2-2
- Changing opendaylight loadbalancing alogirthm (rhbz#1538611)
- Split up neutron-lbaas service plugin and agent (rhbz#1554114)

* Mon Apr 23 2018 RDO <dev@lists.rdoproject.org> 8.3.2-1
- Update to 8.3.2

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.3.1-1
- Update to 8.3.1

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0



